Index: terepaima-0.4.16/moc/moc_mainwindow.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_mainwindow.cpp	(revision db917521885748bd954d5ef73075698bdb6c52cf)
+++ terepaima-0.4.16/moc/moc_mainwindow.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'mainwindow.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
+** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,10 +8,8 @@
 
 #include "../sources/mainwindow.h"
-#include <QtCore/qbytearray.h>
-#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'mainwindow.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.7.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 63
+#error "This file was generated using the moc from 4.8.6. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -19,340 +17,11 @@
 
 QT_BEGIN_MOC_NAMESPACE
-struct qt_meta_stringdata_qpdfview__MainWindow_t {
-    QByteArrayData data[190];
-    char stringdata0[4309];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__MainWindow_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__MainWindow_t qt_meta_stringdata_qpdfview__MainWindow = {
-    {
-QT_MOC_LITERAL(0, 0, 20), // "qpdfview::MainWindow"
-QT_MOC_LITERAL(1, 21, 4), // "show"
-QT_MOC_LITERAL(2, 26, 0), // ""
-QT_MOC_LITERAL(3, 27, 4), // "open"
-QT_MOC_LITERAL(4, 32, 8), // "filePath"
-QT_MOC_LITERAL(5, 41, 4), // "page"
-QT_MOC_LITERAL(6, 46, 9), // "highlight"
-QT_MOC_LITERAL(7, 56, 5), // "quiet"
-QT_MOC_LITERAL(8, 62, 12), // "openInNewTab"
-QT_MOC_LITERAL(9, 75, 24), // "jumpToPageOrOpenInNewTab"
-QT_MOC_LITERAL(10, 100, 17), // "refreshBeforeJump"
-QT_MOC_LITERAL(11, 118, 11), // "startSearch"
-QT_MOC_LITERAL(12, 130, 4), // "text"
-QT_MOC_LITERAL(13, 135, 27), // "on_tabWidget_currentChanged"
-QT_MOC_LITERAL(14, 163, 5), // "index"
-QT_MOC_LITERAL(15, 169, 30), // "on_tabWidget_tabCloseRequested"
-QT_MOC_LITERAL(16, 200, 36), // "on_tabWidget_tabContextMenuRe..."
-QT_MOC_LITERAL(17, 237, 9), // "globalPos"
-QT_MOC_LITERAL(18, 247, 29), // "on_currentTab_documentChanged"
-QT_MOC_LITERAL(19, 277, 30), // "on_currentTab_documentModified"
-QT_MOC_LITERAL(20, 308, 33), // "on_currentTab_numberOfPagesCh..."
-QT_MOC_LITERAL(21, 342, 13), // "numberOfPages"
-QT_MOC_LITERAL(22, 356, 32), // "on_currentTab_currentPageChanged"
-QT_MOC_LITERAL(23, 389, 11), // "currentPage"
-QT_MOC_LITERAL(24, 401, 28), // "on_currentTab_canJumpChanged"
-QT_MOC_LITERAL(25, 430, 8), // "backward"
-QT_MOC_LITERAL(26, 439, 7), // "forward"
-QT_MOC_LITERAL(27, 447, 35), // "on_currentTab_continuousModeC..."
-QT_MOC_LITERAL(28, 483, 14), // "continuousMode"
-QT_MOC_LITERAL(29, 498, 31), // "on_currentTab_layoutModeChanged"
-QT_MOC_LITERAL(30, 530, 10), // "LayoutMode"
-QT_MOC_LITERAL(31, 541, 10), // "layoutMode"
-QT_MOC_LITERAL(32, 552, 36), // "on_currentTab_rightToLeftMode..."
-QT_MOC_LITERAL(33, 589, 15), // "rightToLeftMode"
-QT_MOC_LITERAL(34, 605, 30), // "on_currentTab_scaleModeChanged"
-QT_MOC_LITERAL(35, 636, 9), // "ScaleMode"
-QT_MOC_LITERAL(36, 646, 9), // "scaleMode"
-QT_MOC_LITERAL(37, 656, 32), // "on_currentTab_scaleFactorChanged"
-QT_MOC_LITERAL(38, 689, 11), // "scaleFactor"
-QT_MOC_LITERAL(39, 701, 29), // "on_currentTab_rotationChanged"
-QT_MOC_LITERAL(40, 731, 8), // "Rotation"
-QT_MOC_LITERAL(41, 740, 8), // "rotation"
-QT_MOC_LITERAL(42, 749, 25), // "on_currentTab_linkClicked"
-QT_MOC_LITERAL(43, 775, 6), // "newTab"
-QT_MOC_LITERAL(44, 782, 32), // "on_currentTab_renderFlagsChanged"
-QT_MOC_LITERAL(45, 815, 21), // "qpdfview::RenderFlags"
-QT_MOC_LITERAL(46, 837, 11), // "renderFlags"
-QT_MOC_LITERAL(47, 849, 33), // "on_currentTab_invertColorsCha..."
-QT_MOC_LITERAL(48, 883, 12), // "invertColors"
-QT_MOC_LITERAL(49, 896, 39), // "on_currentTab_convertToGraysc..."
-QT_MOC_LITERAL(50, 936, 18), // "convertToGrayscale"
-QT_MOC_LITERAL(51, 955, 32), // "on_currentTab_trimMarginsChanged"
-QT_MOC_LITERAL(52, 988, 11), // "trimMargins"
-QT_MOC_LITERAL(53, 1000, 36), // "on_currentTab_compositionMode..."
-QT_MOC_LITERAL(54, 1037, 15), // "CompositionMode"
-QT_MOC_LITERAL(55, 1053, 15), // "compositionMode"
-QT_MOC_LITERAL(56, 1069, 33), // "on_currentTab_highlightAllCha..."
-QT_MOC_LITERAL(57, 1103, 12), // "highlightAll"
-QT_MOC_LITERAL(58, 1116, 35), // "on_currentTab_rubberBandModeC..."
-QT_MOC_LITERAL(59, 1152, 14), // "RubberBandMode"
-QT_MOC_LITERAL(60, 1167, 14), // "rubberBandMode"
-QT_MOC_LITERAL(61, 1182, 28), // "on_currentTab_searchFinished"
-QT_MOC_LITERAL(62, 1211, 35), // "on_currentTab_searchProgressC..."
-QT_MOC_LITERAL(63, 1247, 8), // "progress"
-QT_MOC_LITERAL(64, 1256, 40), // "on_currentTab_customContextMe..."
-QT_MOC_LITERAL(65, 1297, 3), // "pos"
-QT_MOC_LITERAL(66, 1301, 30), // "on_currentPage_editingFinished"
-QT_MOC_LITERAL(67, 1332, 28), // "on_currentPage_returnPressed"
-QT_MOC_LITERAL(68, 1361, 24), // "on_scaleFactor_activated"
-QT_MOC_LITERAL(69, 1386, 30), // "on_scaleFactor_editingFinished"
-QT_MOC_LITERAL(70, 1417, 28), // "on_scaleFactor_returnPressed"
-QT_MOC_LITERAL(71, 1446, 17), // "on_open_triggered"
-QT_MOC_LITERAL(72, 1464, 25), // "on_openInNewTab_triggered"
-QT_MOC_LITERAL(73, 1490, 29), // "on_openCopyInNewTab_triggered"
-QT_MOC_LITERAL(74, 1520, 33), // "on_openContainingFolder_trigg..."
-QT_MOC_LITERAL(75, 1554, 20), // "on_refresh_triggered"
-QT_MOC_LITERAL(76, 1575, 21), // "on_saveCopy_triggered"
-QT_MOC_LITERAL(77, 1597, 19), // "on_saveAs_triggered"
-QT_MOC_LITERAL(78, 1617, 18), // "on_print_triggered"
-QT_MOC_LITERAL(79, 1636, 29), // "on_recentlyUsed_openTriggered"
-QT_MOC_LITERAL(80, 1666, 25), // "on_previousPage_triggered"
-QT_MOC_LITERAL(81, 1692, 21), // "on_nextPage_triggered"
-QT_MOC_LITERAL(82, 1714, 22), // "on_firstPage_triggered"
-QT_MOC_LITERAL(83, 1737, 21), // "on_lastPage_triggered"
-QT_MOC_LITERAL(84, 1759, 25), // "on_setFirstPage_triggered"
-QT_MOC_LITERAL(85, 1785, 23), // "on_jumpToPage_triggered"
-QT_MOC_LITERAL(86, 1809, 25), // "on_jumpBackward_triggered"
-QT_MOC_LITERAL(87, 1835, 24), // "on_jumpForward_triggered"
-QT_MOC_LITERAL(88, 1860, 19), // "on_search_triggered"
-QT_MOC_LITERAL(89, 1880, 25), // "on_findPrevious_triggered"
-QT_MOC_LITERAL(90, 1906, 21), // "on_findNext_triggered"
-QT_MOC_LITERAL(91, 1928, 25), // "on_cancelSearch_triggered"
-QT_MOC_LITERAL(92, 1954, 32), // "on_copyToClipboardMode_triggered"
-QT_MOC_LITERAL(93, 1987, 7), // "checked"
-QT_MOC_LITERAL(94, 1995, 30), // "on_addAnnotationMode_triggered"
-QT_MOC_LITERAL(95, 2026, 21), // "on_settings_triggered"
-QT_MOC_LITERAL(96, 2048, 27), // "on_continuousMode_triggered"
-QT_MOC_LITERAL(97, 2076, 25), // "on_twoPagesMode_triggered"
-QT_MOC_LITERAL(98, 2102, 38), // "on_twoPagesWithCoverPageMode_..."
-QT_MOC_LITERAL(99, 2141, 30), // "on_multiplePagesMode_triggered"
-QT_MOC_LITERAL(100, 2172, 28), // "on_rightToLeftMode_triggered"
-QT_MOC_LITERAL(101, 2201, 19), // "on_zoomIn_triggered"
-QT_MOC_LITERAL(102, 2221, 20), // "on_zoomOut_triggered"
-QT_MOC_LITERAL(103, 2242, 25), // "on_originalSize_triggered"
-QT_MOC_LITERAL(104, 2268, 31), // "on_fitToPageWidthMode_triggered"
-QT_MOC_LITERAL(105, 2300, 30), // "on_fitToPageSizeMode_triggered"
-QT_MOC_LITERAL(106, 2331, 23), // "on_rotateLeft_triggered"
-QT_MOC_LITERAL(107, 2355, 24), // "on_rotateRight_triggered"
-QT_MOC_LITERAL(108, 2380, 25), // "on_invertColors_triggered"
-QT_MOC_LITERAL(109, 2406, 31), // "on_convertToGrayscale_triggered"
-QT_MOC_LITERAL(110, 2438, 24), // "on_trimMargins_triggered"
-QT_MOC_LITERAL(111, 2463, 33), // "on_darkenWithPaperColor_trigg..."
-QT_MOC_LITERAL(112, 2497, 34), // "on_lightenWithPaperColor_trig..."
-QT_MOC_LITERAL(113, 2532, 18), // "on_fonts_triggered"
-QT_MOC_LITERAL(114, 2551, 23), // "on_fullscreen_triggered"
-QT_MOC_LITERAL(115, 2575, 25), // "on_presentation_triggered"
-QT_MOC_LITERAL(116, 2601, 24), // "on_previousTab_triggered"
-QT_MOC_LITERAL(117, 2626, 20), // "on_nextTab_triggered"
-QT_MOC_LITERAL(118, 2647, 21), // "on_closeTab_triggered"
-QT_MOC_LITERAL(119, 2669, 25), // "on_closeAllTabs_triggered"
-QT_MOC_LITERAL(120, 2695, 38), // "on_closeAllTabsButCurrentTab_..."
-QT_MOC_LITERAL(121, 2734, 41), // "on_restoreMostRecentlyClosedT..."
-QT_MOC_LITERAL(122, 2776, 36), // "on_recentlyClosed_tabActionTr..."
-QT_MOC_LITERAL(123, 2813, 8), // "QAction*"
-QT_MOC_LITERAL(124, 2822, 9), // "tabAction"
-QT_MOC_LITERAL(125, 2832, 22), // "on_tabAction_triggered"
-QT_MOC_LITERAL(126, 2855, 24), // "on_tabShortcut_activated"
-QT_MOC_LITERAL(127, 2880, 29), // "on_previousBookmark_triggered"
-QT_MOC_LITERAL(128, 2910, 25), // "on_nextBookmark_triggered"
-QT_MOC_LITERAL(129, 2936, 24), // "on_addBookmark_triggered"
-QT_MOC_LITERAL(130, 2961, 27), // "on_removeBookmark_triggered"
-QT_MOC_LITERAL(131, 2989, 31), // "on_removeAllBookmarks_triggered"
-QT_MOC_LITERAL(132, 3021, 28), // "on_bookmarksMenu_aboutToShow"
-QT_MOC_LITERAL(133, 3050, 25), // "on_bookmark_openTriggered"
-QT_MOC_LITERAL(134, 3076, 16), // "absoluteFilePath"
-QT_MOC_LITERAL(135, 3093, 33), // "on_bookmark_openInNewTabTrigg..."
-QT_MOC_LITERAL(136, 3127, 31), // "on_bookmark_jumpToPageTriggered"
-QT_MOC_LITERAL(137, 3159, 35), // "on_bookmark_removeBookmarkTri..."
-QT_MOC_LITERAL(138, 3195, 21), // "on_contents_triggered"
-QT_MOC_LITERAL(139, 3217, 18), // "on_about_triggered"
-QT_MOC_LITERAL(140, 3236, 29), // "on_focusCurrentPage_activated"
-QT_MOC_LITERAL(141, 3266, 29), // "on_focusScaleFactor_activated"
-QT_MOC_LITERAL(142, 3296, 27), // "on_toggleToolBars_triggered"
-QT_MOC_LITERAL(143, 3324, 26), // "on_toggleMenuBar_triggered"
-QT_MOC_LITERAL(144, 3351, 18), // "on_searchInitiated"
-QT_MOC_LITERAL(145, 3370, 8), // "modified"
-QT_MOC_LITERAL(146, 3379, 23), // "on_highlightAll_clicked"
-QT_MOC_LITERAL(147, 3403, 27), // "on_dock_dockLocationChanged"
-QT_MOC_LITERAL(148, 3431, 18), // "Qt::DockWidgetArea"
-QT_MOC_LITERAL(149, 3450, 4), // "area"
-QT_MOC_LITERAL(150, 3455, 30), // "on_outline_sectionCountChanged"
-QT_MOC_LITERAL(151, 3486, 18), // "on_outline_clicked"
-QT_MOC_LITERAL(152, 3505, 33), // "on_properties_sectionCountCha..."
-QT_MOC_LITERAL(153, 3539, 43), // "on_detailsSignatureView_secti..."
-QT_MOC_LITERAL(154, 3583, 33), // "on_thumbnails_dockLocationCha..."
-QT_MOC_LITERAL(155, 3617, 44), // "on_thumbnails_verticalScrollB..."
-QT_MOC_LITERAL(156, 3662, 5), // "value"
-QT_MOC_LITERAL(157, 3668, 32), // "on_bookmarks_sectionCountChanged"
-QT_MOC_LITERAL(158, 3701, 20), // "on_bookmarks_clicked"
-QT_MOC_LITERAL(159, 3722, 33), // "on_bookmarks_contextMenuReque..."
-QT_MOC_LITERAL(160, 3756, 29), // "on_search_sectionCountChanged"
-QT_MOC_LITERAL(161, 3786, 27), // "on_search_visibilityChanged"
-QT_MOC_LITERAL(162, 3814, 7), // "visible"
-QT_MOC_LITERAL(163, 3822, 17), // "on_search_clicked"
-QT_MOC_LITERAL(164, 3840, 23), // "on_saveDatabase_timeout"
-QT_MOC_LITERAL(165, 3864, 19), // "on_verify_signature"
-QT_MOC_LITERAL(166, 3884, 12), // "on_signature"
-QT_MOC_LITERAL(167, 3897, 20), // "on_windowCertificate"
-QT_MOC_LITERAL(168, 3918, 20), // "on_selectCertificate"
-QT_MOC_LITERAL(169, 3939, 28), // "on_activateButtonCertificate"
-QT_MOC_LITERAL(170, 3968, 13), // "on_uploadFile"
-QT_MOC_LITERAL(171, 3982, 12), // "on_managePIN"
-QT_MOC_LITERAL(172, 3995, 12), // "on_windowPIN"
-QT_MOC_LITERAL(173, 4008, 1), // "x"
-QT_MOC_LITERAL(174, 4010, 27), // "on_currentChanged_selection"
-QT_MOC_LITERAL(175, 4038, 26), // "on_close_windowCertificate"
-QT_MOC_LITERAL(176, 4065, 18), // "on_close_windowPIN"
-QT_MOC_LITERAL(177, 4084, 13), // "httpReadyRead"
-QT_MOC_LITERAL(178, 4098, 20), // "httpDownloadFinished"
-QT_MOC_LITERAL(179, 4119, 16), // "verify_signature"
-QT_MOC_LITERAL(180, 4136, 19), // "QStandardItemModel*"
-QT_MOC_LITERAL(181, 4156, 27), // "view_table_verify_signature"
-QT_MOC_LITERAL(182, 4184, 17), // "handleNetworkData"
-QT_MOC_LITERAL(183, 4202, 14), // "QNetworkReply*"
-QT_MOC_LITERAL(184, 4217, 12), // "networkReply"
-QT_MOC_LITERAL(185, 4230, 9), // "slotError"
-QT_MOC_LITERAL(186, 4240, 27), // "QNetworkReply::NetworkError"
-QT_MOC_LITERAL(187, 4268, 1), // "e"
-QT_MOC_LITERAL(188, 4270, 19), // "handleNetworkDataMP"
-QT_MOC_LITERAL(189, 4290, 18) // "handleDownloadFile"
-
-    },
-    "qpdfview::MainWindow\0show\0\0open\0"
-    "filePath\0page\0highlight\0quiet\0"
-    "openInNewTab\0jumpToPageOrOpenInNewTab\0"
-    "refreshBeforeJump\0startSearch\0text\0"
-    "on_tabWidget_currentChanged\0index\0"
-    "on_tabWidget_tabCloseRequested\0"
-    "on_tabWidget_tabContextMenuRequested\0"
-    "globalPos\0on_currentTab_documentChanged\0"
-    "on_currentTab_documentModified\0"
-    "on_currentTab_numberOfPagesChaned\0"
-    "numberOfPages\0on_currentTab_currentPageChanged\0"
-    "currentPage\0on_currentTab_canJumpChanged\0"
-    "backward\0forward\0on_currentTab_continuousModeChanged\0"
-    "continuousMode\0on_currentTab_layoutModeChanged\0"
-    "LayoutMode\0layoutMode\0"
-    "on_currentTab_rightToLeftModeChanged\0"
-    "rightToLeftMode\0on_currentTab_scaleModeChanged\0"
-    "ScaleMode\0scaleMode\0"
-    "on_currentTab_scaleFactorChanged\0"
-    "scaleFactor\0on_currentTab_rotationChanged\0"
-    "Rotation\0rotation\0on_currentTab_linkClicked\0"
-    "newTab\0on_currentTab_renderFlagsChanged\0"
-    "qpdfview::RenderFlags\0renderFlags\0"
-    "on_currentTab_invertColorsChanged\0"
-    "invertColors\0on_currentTab_convertToGrayscaleChanged\0"
-    "convertToGrayscale\0on_currentTab_trimMarginsChanged\0"
-    "trimMargins\0on_currentTab_compositionModeChanged\0"
-    "CompositionMode\0compositionMode\0"
-    "on_currentTab_highlightAllChanged\0"
-    "highlightAll\0on_currentTab_rubberBandModeChanged\0"
-    "RubberBandMode\0rubberBandMode\0"
-    "on_currentTab_searchFinished\0"
-    "on_currentTab_searchProgressChanged\0"
-    "progress\0on_currentTab_customContextMenuRequested\0"
-    "pos\0on_currentPage_editingFinished\0"
-    "on_currentPage_returnPressed\0"
-    "on_scaleFactor_activated\0"
-    "on_scaleFactor_editingFinished\0"
-    "on_scaleFactor_returnPressed\0"
-    "on_open_triggered\0on_openInNewTab_triggered\0"
-    "on_openCopyInNewTab_triggered\0"
-    "on_openContainingFolder_triggered\0"
-    "on_refresh_triggered\0on_saveCopy_triggered\0"
-    "on_saveAs_triggered\0on_print_triggered\0"
-    "on_recentlyUsed_openTriggered\0"
-    "on_previousPage_triggered\0"
-    "on_nextPage_triggered\0on_firstPage_triggered\0"
-    "on_lastPage_triggered\0on_setFirstPage_triggered\0"
-    "on_jumpToPage_triggered\0"
-    "on_jumpBackward_triggered\0"
-    "on_jumpForward_triggered\0on_search_triggered\0"
-    "on_findPrevious_triggered\0"
-    "on_findNext_triggered\0on_cancelSearch_triggered\0"
-    "on_copyToClipboardMode_triggered\0"
-    "checked\0on_addAnnotationMode_triggered\0"
-    "on_settings_triggered\0on_continuousMode_triggered\0"
-    "on_twoPagesMode_triggered\0"
-    "on_twoPagesWithCoverPageMode_triggered\0"
-    "on_multiplePagesMode_triggered\0"
-    "on_rightToLeftMode_triggered\0"
-    "on_zoomIn_triggered\0on_zoomOut_triggered\0"
-    "on_originalSize_triggered\0"
-    "on_fitToPageWidthMode_triggered\0"
-    "on_fitToPageSizeMode_triggered\0"
-    "on_rotateLeft_triggered\0"
-    "on_rotateRight_triggered\0"
-    "on_invertColors_triggered\0"
-    "on_convertToGrayscale_triggered\0"
-    "on_trimMargins_triggered\0"
-    "on_darkenWithPaperColor_triggered\0"
-    "on_lightenWithPaperColor_triggered\0"
-    "on_fonts_triggered\0on_fullscreen_triggered\0"
-    "on_presentation_triggered\0"
-    "on_previousTab_triggered\0on_nextTab_triggered\0"
-    "on_closeTab_triggered\0on_closeAllTabs_triggered\0"
-    "on_closeAllTabsButCurrentTab_triggered\0"
-    "on_restoreMostRecentlyClosedTab_triggered\0"
-    "on_recentlyClosed_tabActionTriggered\0"
-    "QAction*\0tabAction\0on_tabAction_triggered\0"
-    "on_tabShortcut_activated\0"
-    "on_previousBookmark_triggered\0"
-    "on_nextBookmark_triggered\0"
-    "on_addBookmark_triggered\0"
-    "on_removeBookmark_triggered\0"
-    "on_removeAllBookmarks_triggered\0"
-    "on_bookmarksMenu_aboutToShow\0"
-    "on_bookmark_openTriggered\0absoluteFilePath\0"
-    "on_bookmark_openInNewTabTriggered\0"
-    "on_bookmark_jumpToPageTriggered\0"
-    "on_bookmark_removeBookmarkTriggered\0"
-    "on_contents_triggered\0on_about_triggered\0"
-    "on_focusCurrentPage_activated\0"
-    "on_focusScaleFactor_activated\0"
-    "on_toggleToolBars_triggered\0"
-    "on_toggleMenuBar_triggered\0"
-    "on_searchInitiated\0modified\0"
-    "on_highlightAll_clicked\0"
-    "on_dock_dockLocationChanged\0"
-    "Qt::DockWidgetArea\0area\0"
-    "on_outline_sectionCountChanged\0"
-    "on_outline_clicked\0on_properties_sectionCountChanged\0"
-    "on_detailsSignatureView_sectionCountChanged\0"
-    "on_thumbnails_dockLocationChanged\0"
-    "on_thumbnails_verticalScrollBar_valueChanged\0"
-    "value\0on_bookmarks_sectionCountChanged\0"
-    "on_bookmarks_clicked\0"
-    "on_bookmarks_contextMenuRequested\0"
-    "on_search_sectionCountChanged\0"
-    "on_search_visibilityChanged\0visible\0"
-    "on_search_clicked\0on_saveDatabase_timeout\0"
-    "on_verify_signature\0on_signature\0"
-    "on_windowCertificate\0on_selectCertificate\0"
-    "on_activateButtonCertificate\0on_uploadFile\0"
-    "on_managePIN\0on_windowPIN\0x\0"
-    "on_currentChanged_selection\0"
-    "on_close_windowCertificate\0"
-    "on_close_windowPIN\0httpReadyRead\0"
-    "httpDownloadFinished\0verify_signature\0"
-    "QStandardItemModel*\0view_table_verify_signature\0"
-    "handleNetworkData\0QNetworkReply*\0"
-    "networkReply\0slotError\0"
-    "QNetworkReply::NetworkError\0e\0"
-    "handleNetworkDataMP\0handleDownloadFile"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__MainWindow[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
-     150,   14, // methods
+     134,   14, // methods
        0,    0, // properties
        0,    0, // enums/sets
@@ -361,309 +30,282 @@
        0,       // signalCount
 
- // slots: name, argc, parameters, tag, flags
-       1,    0,  764,    2, 0x0a /* Public */,
-       3,    4,  765,    2, 0x0a /* Public */,
-       3,    3,  774,    2, 0x2a /* Public | MethodCloned */,
-       3,    2,  781,    2, 0x2a /* Public | MethodCloned */,
-       3,    1,  786,    2, 0x2a /* Public | MethodCloned */,
-       8,    4,  789,    2, 0x0a /* Public */,
-       8,    3,  798,    2, 0x2a /* Public | MethodCloned */,
-       8,    2,  805,    2, 0x2a /* Public | MethodCloned */,
-       8,    1,  810,    2, 0x2a /* Public | MethodCloned */,
-       9,    5,  813,    2, 0x0a /* Public */,
-       9,    4,  824,    2, 0x2a /* Public | MethodCloned */,
-       9,    3,  833,    2, 0x2a /* Public | MethodCloned */,
-       9,    2,  840,    2, 0x2a /* Public | MethodCloned */,
-       9,    1,  845,    2, 0x2a /* Public | MethodCloned */,
-      11,    1,  848,    2, 0x0a /* Public */,
-      13,    1,  851,    2, 0x09 /* Protected */,
-      15,    1,  854,    2, 0x09 /* Protected */,
-      16,    2,  857,    2, 0x09 /* Protected */,
-      18,    0,  862,    2, 0x09 /* Protected */,
-      19,    0,  863,    2, 0x09 /* Protected */,
-      20,    1,  864,    2, 0x09 /* Protected */,
-      22,    1,  867,    2, 0x09 /* Protected */,
-      24,    2,  870,    2, 0x09 /* Protected */,
-      27,    1,  875,    2, 0x09 /* Protected */,
-      29,    1,  878,    2, 0x09 /* Protected */,
-      32,    1,  881,    2, 0x09 /* Protected */,
-      34,    1,  884,    2, 0x09 /* Protected */,
-      37,    1,  887,    2, 0x09 /* Protected */,
-      39,    1,  890,    2, 0x09 /* Protected */,
-      42,    1,  893,    2, 0x09 /* Protected */,
-      42,    3,  896,    2, 0x09 /* Protected */,
-      44,    1,  903,    2, 0x09 /* Protected */,
-      47,    1,  906,    2, 0x09 /* Protected */,
-      49,    1,  909,    2, 0x09 /* Protected */,
-      51,    1,  912,    2, 0x09 /* Protected */,
-      53,    1,  915,    2, 0x09 /* Protected */,
-      56,    1,  918,    2, 0x09 /* Protected */,
-      58,    1,  921,    2, 0x09 /* Protected */,
-      61,    0,  924,    2, 0x09 /* Protected */,
-      62,    1,  925,    2, 0x09 /* Protected */,
-      64,    1,  928,    2, 0x09 /* Protected */,
-      66,    0,  931,    2, 0x09 /* Protected */,
-      67,    0,  932,    2, 0x09 /* Protected */,
-      68,    1,  933,    2, 0x09 /* Protected */,
-      69,    0,  936,    2, 0x09 /* Protected */,
-      70,    0,  937,    2, 0x09 /* Protected */,
-      71,    0,  938,    2, 0x09 /* Protected */,
-      72,    0,  939,    2, 0x09 /* Protected */,
-      73,    0,  940,    2, 0x09 /* Protected */,
-      74,    0,  941,    2, 0x09 /* Protected */,
-      75,    0,  942,    2, 0x09 /* Protected */,
-      76,    0,  943,    2, 0x09 /* Protected */,
-      77,    0,  944,    2, 0x09 /* Protected */,
-      78,    0,  945,    2, 0x09 /* Protected */,
-      79,    1,  946,    2, 0x09 /* Protected */,
-      80,    0,  949,    2, 0x09 /* Protected */,
-      81,    0,  950,    2, 0x09 /* Protected */,
-      82,    0,  951,    2, 0x09 /* Protected */,
-      83,    0,  952,    2, 0x09 /* Protected */,
-      84,    0,  953,    2, 0x09 /* Protected */,
-      85,    0,  954,    2, 0x09 /* Protected */,
-      86,    0,  955,    2, 0x09 /* Protected */,
-      87,    0,  956,    2, 0x09 /* Protected */,
-      88,    0,  957,    2, 0x09 /* Protected */,
-      89,    0,  958,    2, 0x09 /* Protected */,
-      90,    0,  959,    2, 0x09 /* Protected */,
-      91,    0,  960,    2, 0x09 /* Protected */,
-      92,    1,  961,    2, 0x09 /* Protected */,
-      94,    1,  964,    2, 0x09 /* Protected */,
-      95,    0,  967,    2, 0x09 /* Protected */,
-      96,    1,  968,    2, 0x09 /* Protected */,
-      97,    1,  971,    2, 0x09 /* Protected */,
-      98,    1,  974,    2, 0x09 /* Protected */,
-      99,    1,  977,    2, 0x09 /* Protected */,
-     100,    1,  980,    2, 0x09 /* Protected */,
-     101,    0,  983,    2, 0x09 /* Protected */,
-     102,    0,  984,    2, 0x09 /* Protected */,
-     103,    0,  985,    2, 0x09 /* Protected */,
-     104,    1,  986,    2, 0x09 /* Protected */,
-     105,    1,  989,    2, 0x09 /* Protected */,
-     106,    0,  992,    2, 0x09 /* Protected */,
-     107,    0,  993,    2, 0x09 /* Protected */,
-     108,    1,  994,    2, 0x09 /* Protected */,
-     109,    1,  997,    2, 0x09 /* Protected */,
-     110,    1, 1000,    2, 0x09 /* Protected */,
-     111,    1, 1003,    2, 0x09 /* Protected */,
-     112,    1, 1006,    2, 0x09 /* Protected */,
-     113,    0, 1009,    2, 0x09 /* Protected */,
-     114,    1, 1010,    2, 0x09 /* Protected */,
-     115,    0, 1013,    2, 0x09 /* Protected */,
-     116,    0, 1014,    2, 0x09 /* Protected */,
-     117,    0, 1015,    2, 0x09 /* Protected */,
-     118,    0, 1016,    2, 0x09 /* Protected */,
-     119,    0, 1017,    2, 0x09 /* Protected */,
-     120,    0, 1018,    2, 0x09 /* Protected */,
-     121,    0, 1019,    2, 0x09 /* Protected */,
-     122,    1, 1020,    2, 0x09 /* Protected */,
-     125,    0, 1023,    2, 0x09 /* Protected */,
-     126,    0, 1024,    2, 0x09 /* Protected */,
-     127,    0, 1025,    2, 0x09 /* Protected */,
-     128,    0, 1026,    2, 0x09 /* Protected */,
-     129,    0, 1027,    2, 0x09 /* Protected */,
-     130,    0, 1028,    2, 0x09 /* Protected */,
-     131,    0, 1029,    2, 0x09 /* Protected */,
-     132,    0, 1030,    2, 0x09 /* Protected */,
-     133,    1, 1031,    2, 0x09 /* Protected */,
-     135,    1, 1034,    2, 0x09 /* Protected */,
-     136,    2, 1037,    2, 0x09 /* Protected */,
-     137,    1, 1042,    2, 0x09 /* Protected */,
-     138,    0, 1045,    2, 0x09 /* Protected */,
-     139,    0, 1046,    2, 0x09 /* Protected */,
-     140,    0, 1047,    2, 0x09 /* Protected */,
-     141,    0, 1048,    2, 0x09 /* Protected */,
-     142,    1, 1049,    2, 0x09 /* Protected */,
-     143,    1, 1052,    2, 0x09 /* Protected */,
-     144,    2, 1055,    2, 0x09 /* Protected */,
-     146,    1, 1060,    2, 0x09 /* Protected */,
-     147,    1, 1063,    2, 0x09 /* Protected */,
-     150,    0, 1066,    2, 0x09 /* Protected */,
-     151,    1, 1067,    2, 0x09 /* Protected */,
-     152,    0, 1070,    2, 0x09 /* Protected */,
-     153,    0, 1071,    2, 0x09 /* Protected */,
-     154,    1, 1072,    2, 0x09 /* Protected */,
-     155,    1, 1075,    2, 0x09 /* Protected */,
-     157,    0, 1078,    2, 0x09 /* Protected */,
-     158,    1, 1079,    2, 0x09 /* Protected */,
-     159,    1, 1082,    2, 0x09 /* Protected */,
-     160,    0, 1085,    2, 0x09 /* Protected */,
-     161,    1, 1086,    2, 0x09 /* Protected */,
-     163,    1, 1089,    2, 0x09 /* Protected */,
-     164,    0, 1092,    2, 0x09 /* Protected */,
-     165,    0, 1093,    2, 0x09 /* Protected */,
-     166,    0, 1094,    2, 0x09 /* Protected */,
-     167,    0, 1095,    2, 0x09 /* Protected */,
-     168,    0, 1096,    2, 0x09 /* Protected */,
-     169,    0, 1097,    2, 0x09 /* Protected */,
-     170,    0, 1098,    2, 0x09 /* Protected */,
-     171,    0, 1099,    2, 0x09 /* Protected */,
-     172,    1, 1100,    2, 0x09 /* Protected */,
-     174,    0, 1103,    2, 0x09 /* Protected */,
-     175,    0, 1104,    2, 0x09 /* Protected */,
-     176,    0, 1105,    2, 0x09 /* Protected */,
-     177,    0, 1106,    2, 0x09 /* Protected */,
-     178,    0, 1107,    2, 0x09 /* Protected */,
-     179,    0, 1108,    2, 0x09 /* Protected */,
-     181,    0, 1109,    2, 0x09 /* Protected */,
-     182,    1, 1110,    2, 0x0a /* Public */,
-     185,    1, 1113,    2, 0x0a /* Public */,
-     188,    1, 1116,    2, 0x0a /* Public */,
-     189,    0, 1119,    2, 0x0a /* Public */,
-
- // slots: parameters
-    QMetaType::Void,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF, QMetaType::Bool,    4,    5,    6,    7,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF,    4,    5,    6,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    4,    5,
-    QMetaType::Bool, QMetaType::QString,    4,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF, QMetaType::Bool,    4,    5,    6,    7,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF,    4,    5,    6,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    4,    5,
-    QMetaType::Bool, QMetaType::QString,    4,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool, QMetaType::QRectF, QMetaType::Bool,    4,    5,   10,    6,    7,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool, QMetaType::QRectF,    4,    5,   10,    6,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool,    4,    5,   10,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    4,    5,
-    QMetaType::Bool, QMetaType::QString,    4,
-    QMetaType::Void, QMetaType::QString,   12,
-    QMetaType::Void, QMetaType::Int,   14,
-    QMetaType::Void, QMetaType::Int,   14,
-    QMetaType::Void, QMetaType::QPoint, QMetaType::Int,   17,   14,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Int,   21,
-    QMetaType::Void, QMetaType::Int,   23,
-    QMetaType::Void, QMetaType::Bool, QMetaType::Bool,   25,   26,
-    QMetaType::Void, QMetaType::Bool,   28,
-    QMetaType::Void, 0x80000000 | 30,   31,
-    QMetaType::Void, QMetaType::Bool,   33,
-    QMetaType::Void, 0x80000000 | 35,   36,
-    QMetaType::Void, QMetaType::QReal,   38,
-    QMetaType::Void, 0x80000000 | 40,   41,
-    QMetaType::Void, QMetaType::Int,    5,
-    QMetaType::Void, QMetaType::Bool, QMetaType::QString, QMetaType::Int,   43,    4,    5,
-    QMetaType::Void, 0x80000000 | 45,   46,
-    QMetaType::Void, QMetaType::Bool,   48,
-    QMetaType::Void, QMetaType::Bool,   50,
-    QMetaType::Void, QMetaType::Bool,   52,
-    QMetaType::Void, 0x80000000 | 54,   55,
-    QMetaType::Void, QMetaType::Bool,   57,
-    QMetaType::Void, 0x80000000 | 59,   60,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Int,   63,
-    QMetaType::Void, QMetaType::QPoint,   65,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Int,   14,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QString,    4,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, 0x80000000 | 123,  124,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QString,  134,
-    QMetaType::Void, QMetaType::QString,  134,
-    QMetaType::Void, QMetaType::QString, QMetaType::Int,  134,    5,
-    QMetaType::Void, QMetaType::QString,  134,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, QMetaType::QString, QMetaType::Bool,   12,  145,
-    QMetaType::Void, QMetaType::Bool,   93,
-    QMetaType::Void, 0x80000000 | 148,  149,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QModelIndex,   14,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, 0x80000000 | 148,  149,
-    QMetaType::Void, QMetaType::Int,  156,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::QModelIndex,   14,
-    QMetaType::Void, QMetaType::QPoint,   65,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,  162,
-    QMetaType::Void, QMetaType::QModelIndex,   14,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void, QMetaType::Int,  173,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    0x80000000 | 180,
-    0x80000000 | 180,
-    QMetaType::Void, 0x80000000 | 183,  184,
-    QMetaType::Void, 0x80000000 | 186,  187,
-    QMetaType::Void, 0x80000000 | 183,  184,
-    QMetaType::Void,
+ // slots: signature, parameters, type, tag, flags
+      22,   21,   21,   21, 0x0a,
+      64,   34,   29,   21, 0x0a,
+     118,   94,   29,   21, 0x2a,
+     157,  143,   29,   21, 0x2a,
+     184,  175,   29,   21, 0x2a,
+     198,   34,   29,   21, 0x0a,
+     236,   94,   29,   21, 0x2a,
+     269,  143,   29,   21, 0x2a,
+     295,  175,   29,   21, 0x2a,
+     365,  317,   29,   21, 0x0a,
+     462,  420,   29,   21, 0x2a,
+     544,  512,   29,   21, 0x2a,
+     587,  143,   29,   21, 0x2a,
+     625,  175,   29,   21, 0x2a,
+     664,  659,   21,   21, 0x0a,
+     691,  685,   21,   21, 0x09,
+     724,  685,   21,   21, 0x09,
+     776,  760,   21,   21, 0x09,
+     825,   21,   21,   21, 0x09,
+     857,   21,   21,   21, 0x09,
+     904,  890,   21,   21, 0x09,
+     955,  943,   21,   21, 0x09,
+    1010,  993,   21,   21, 0x09,
+    1065, 1050,   21,   21, 0x09,
+    1118, 1107,   21,   21, 0x09,
+    1178, 1162,   21,   21, 0x09,
+    1231, 1221,   21,   21, 0x09,
+    1285, 1273,   21,   21, 0x09,
+    1334, 1325,   21,   21, 0x09,
+    1379, 1374,   21,   21, 0x09,
+    1431, 1410,   21,   21, 0x09,
+    1487, 1475,   21,   21, 0x09,
+    1556, 1543,   21,   21, 0x09,
+    1615, 1596,   21,   21, 0x09,
+    1673, 1661,   21,   21, 0x09,
+    1728, 1712,   21,   21, 0x09,
+    1795, 1782,   21,   21, 0x09,
+    1850, 1835,   21,   21, 0x09,
+    1902,   21,   21,   21, 0x09,
+    1942, 1933,   21,   21, 0x09,
+    1987, 1983,   21,   21, 0x09,
+    2036,   21,   21,   21, 0x09,
+    2069,   21,   21,   21, 0x09,
+    2100,  685,   21,   21, 0x09,
+    2130,   21,   21,   21, 0x09,
+    2163,   21,   21,   21, 0x09,
+    2194,   21,   21,   21, 0x09,
+    2214,   21,   21,   21, 0x09,
+    2242,   21,   21,   21, 0x09,
+    2274,   21,   21,   21, 0x09,
+    2310,   21,   21,   21, 0x09,
+    2333,   21,   21,   21, 0x09,
+    2357,   21,   21,   21, 0x09,
+    2379,   21,   21,   21, 0x09,
+    2400,  175,   21,   21, 0x09,
+    2439,   21,   21,   21, 0x09,
+    2467,   21,   21,   21, 0x09,
+    2491,   21,   21,   21, 0x09,
+    2516,   21,   21,   21, 0x09,
+    2540,   21,   21,   21, 0x09,
+    2568,   21,   21,   21, 0x09,
+    2594,   21,   21,   21, 0x09,
+    2622,   21,   21,   21, 0x09,
+    2649,   21,   21,   21, 0x09,
+    2671,   21,   21,   21, 0x09,
+    2699,   21,   21,   21, 0x09,
+    2723,   21,   21,   21, 0x09,
+    2759, 2751,   21,   21, 0x09,
+    2798, 2751,   21,   21, 0x09,
+    2835,   21,   21,   21, 0x09,
+    2859, 2751,   21,   21, 0x09,
+    2893, 2751,   21,   21, 0x09,
+    2925, 2751,   21,   21, 0x09,
+    2970, 2751,   21,   21, 0x09,
+    3007, 2751,   21,   21, 0x09,
+    3042,   21,   21,   21, 0x09,
+    3064,   21,   21,   21, 0x09,
+    3087,   21,   21,   21, 0x09,
+    3115, 2751,   21,   21, 0x09,
+    3153, 2751,   21,   21, 0x09,
+    3190,   21,   21,   21, 0x09,
+    3216,   21,   21,   21, 0x09,
+    3243, 2751,   21,   21, 0x09,
+    3275, 2751,   21,   21, 0x09,
+    3313, 2751,   21,   21, 0x09,
+    3344, 2751,   21,   21, 0x09,
+    3384, 2751,   21,   21, 0x09,
+    3425,   21,   21,   21, 0x09,
+    3446, 2751,   21,   21, 0x09,
+    3476,   21,   21,   21, 0x09,
+    3504,   21,   21,   21, 0x09,
+    3531,   21,   21,   21, 0x09,
+    3554,   21,   21,   21, 0x09,
+    3578,   21,   21,   21, 0x09,
+    3606,   21,   21,   21, 0x09,
+    3647,   21,   21,   21, 0x09,
+    3701, 3691,   21,   21, 0x09,
+    3748,   21,   21,   21, 0x09,
+    3773,   21,   21,   21, 0x09,
+    3800,   21,   21,   21, 0x09,
+    3832,   21,   21,   21, 0x09,
+    3860,   21,   21,   21, 0x09,
+    3887,   21,   21,   21, 0x09,
+    3917,   21,   21,   21, 0x09,
+    3951,   21,   21,   21, 0x09,
+    3999, 3982,   21,   21, 0x09,
+    4034, 3982,   21,   21, 0x09,
+    4099, 4077,   21,   21, 0x09,
+    4144, 3982,   21,   21, 0x09,
+    4189,   21,   21,   21, 0x09,
+    4213,   21,   21,   21, 0x09,
+    4234,   21,   21,   21, 0x09,
+    4266,   21,   21,   21, 0x09,
+    4298, 2751,   21,   21, 0x09,
+    4332, 2751,   21,   21, 0x09,
+    4379, 4365,   21,   21, 0x09,
+    4412, 2751,   21,   21, 0x09,
+    4447, 4442,   21,   21, 0x09,
+    4495,   21,   21,   21, 0x09,
+    4528,  685,   21,   21, 0x09,
+    4560,   21,   21,   21, 0x09,
+    4596,   21,   21,   21, 0x09,
+    4642, 4442,   21,   21, 0x09,
+    4702, 4696,   21,   21, 0x09,
+    4752,   21,   21,   21, 0x09,
+    4787,  685,   21,   21, 0x09,
+    4821, 1983,   21,   21, 0x09,
+    4863,   21,   21,   21, 0x09,
+    4903, 4895,   21,   21, 0x09,
+    4937,  685,   21,   21, 0x09,
+    4968,   21,   21,   21, 0x09,
+    4994,   21,   21,   21, 0x09,
+    5036,   21, 5016,   21, 0x09,
+    5055,   21, 5016,   21, 0x09,
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__MainWindow[] = {
+    "qpdfview::MainWindow\0\0show()\0bool\0"
+    "filePath,page,highlight,quiet\0"
+    "open(QString,int,QRectF,bool)\0"
+    "filePath,page,highlight\0"
+    "open(QString,int,QRectF)\0filePath,page\0"
+    "open(QString,int)\0filePath\0open(QString)\0"
+    "openInNewTab(QString,int,QRectF,bool)\0"
+    "openInNewTab(QString,int,QRectF)\0"
+    "openInNewTab(QString,int)\0"
+    "openInNewTab(QString)\0"
+    "filePath,page,refreshBeforeJump,highlight,quiet\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool,QRectF,bool)\0"
+    "filePath,page,refreshBeforeJump,highlight\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool,QRectF)\0"
+    "filePath,page,refreshBeforeJump\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool)\0"
+    "jumpToPageOrOpenInNewTab(QString,int)\0"
+    "jumpToPageOrOpenInNewTab(QString)\0"
+    "text\0startSearch(QString)\0index\0"
+    "on_tabWidget_currentChanged(int)\0"
+    "on_tabWidget_tabCloseRequested(int)\0"
+    "globalPos,index\0"
+    "on_tabWidget_tabContextMenuRequested(QPoint,int)\0"
+    "on_currentTab_documentChanged()\0"
+    "on_currentTab_documentModified()\0"
+    "numberOfPages\0on_currentTab_numberOfPagesChaned(int)\0"
+    "currentPage\0on_currentTab_currentPageChanged(int)\0"
+    "backward,forward\0"
+    "on_currentTab_canJumpChanged(bool,bool)\0"
+    "continuousMode\0on_currentTab_continuousModeChanged(bool)\0"
+    "layoutMode\0on_currentTab_layoutModeChanged(LayoutMode)\0"
+    "rightToLeftMode\0"
+    "on_currentTab_rightToLeftModeChanged(bool)\0"
+    "scaleMode\0on_currentTab_scaleModeChanged(ScaleMode)\0"
+    "scaleFactor\0on_currentTab_scaleFactorChanged(qreal)\0"
+    "rotation\0on_currentTab_rotationChanged(Rotation)\0"
+    "page\0on_currentTab_linkClicked(int)\0"
+    "newTab,filePath,page\0"
+    "on_currentTab_linkClicked(bool,QString,int)\0"
+    "renderFlags\0"
+    "on_currentTab_renderFlagsChanged(qpdfview::RenderFlags)\0"
+    "invertColors\0on_currentTab_invertColorsChanged(bool)\0"
+    "convertToGrayscale\0"
+    "on_currentTab_convertToGrayscaleChanged(bool)\0"
+    "trimMargins\0on_currentTab_trimMarginsChanged(bool)\0"
+    "compositionMode\0"
+    "on_currentTab_compositionModeChanged(CompositionMode)\0"
+    "highlightAll\0on_currentTab_highlightAllChanged(bool)\0"
+    "rubberBandMode\0"
+    "on_currentTab_rubberBandModeChanged(RubberBandMode)\0"
+    "on_currentTab_searchFinished()\0progress\0"
+    "on_currentTab_searchProgressChanged(int)\0"
+    "pos\0on_currentTab_customContextMenuRequested(QPoint)\0"
+    "on_currentPage_editingFinished()\0"
+    "on_currentPage_returnPressed()\0"
+    "on_scaleFactor_activated(int)\0"
+    "on_scaleFactor_editingFinished()\0"
+    "on_scaleFactor_returnPressed()\0"
+    "on_open_triggered()\0on_openInNewTab_triggered()\0"
+    "on_openCopyInNewTab_triggered()\0"
+    "on_openContainingFolder_triggered()\0"
+    "on_refresh_triggered()\0on_saveCopy_triggered()\0"
+    "on_saveAs_triggered()\0on_print_triggered()\0"
+    "on_recentlyUsed_openTriggered(QString)\0"
+    "on_previousPage_triggered()\0"
+    "on_nextPage_triggered()\0"
+    "on_firstPage_triggered()\0"
+    "on_lastPage_triggered()\0"
+    "on_setFirstPage_triggered()\0"
+    "on_jumpToPage_triggered()\0"
+    "on_jumpBackward_triggered()\0"
+    "on_jumpForward_triggered()\0"
+    "on_search_triggered()\0on_findPrevious_triggered()\0"
+    "on_findNext_triggered()\0"
+    "on_cancelSearch_triggered()\0checked\0"
+    "on_copyToClipboardMode_triggered(bool)\0"
+    "on_addAnnotationMode_triggered(bool)\0"
+    "on_settings_triggered()\0"
+    "on_continuousMode_triggered(bool)\0"
+    "on_twoPagesMode_triggered(bool)\0"
+    "on_twoPagesWithCoverPageMode_triggered(bool)\0"
+    "on_multiplePagesMode_triggered(bool)\0"
+    "on_rightToLeftMode_triggered(bool)\0"
+    "on_zoomIn_triggered()\0on_zoomOut_triggered()\0"
+    "on_originalSize_triggered()\0"
+    "on_fitToPageWidthMode_triggered(bool)\0"
+    "on_fitToPageSizeMode_triggered(bool)\0"
+    "on_rotateLeft_triggered()\0"
+    "on_rotateRight_triggered()\0"
+    "on_invertColors_triggered(bool)\0"
+    "on_convertToGrayscale_triggered(bool)\0"
+    "on_trimMargins_triggered(bool)\0"
+    "on_darkenWithPaperColor_triggered(bool)\0"
+    "on_lightenWithPaperColor_triggered(bool)\0"
+    "on_fonts_triggered()\0on_fullscreen_triggered(bool)\0"
+    "on_presentation_triggered()\0"
+    "on_previousTab_triggered()\0"
+    "on_nextTab_triggered()\0on_closeTab_triggered()\0"
+    "on_closeAllTabs_triggered()\0"
+    "on_closeAllTabsButCurrentTab_triggered()\0"
+    "on_restoreMostRecentlyClosedTab_triggered()\0"
+    "tabAction\0on_recentlyClosed_tabActionTriggered(QAction*)\0"
+    "on_tabAction_triggered()\0"
+    "on_tabShortcut_activated()\0"
+    "on_previousBookmark_triggered()\0"
+    "on_nextBookmark_triggered()\0"
+    "on_addBookmark_triggered()\0"
+    "on_removeBookmark_triggered()\0"
+    "on_removeAllBookmarks_triggered()\0"
+    "on_bookmarksMenu_aboutToShow()\0"
+    "absoluteFilePath\0on_bookmark_openTriggered(QString)\0"
+    "on_bookmark_openInNewTabTriggered(QString)\0"
+    "absoluteFilePath,page\0"
+    "on_bookmark_jumpToPageTriggered(QString,int)\0"
+    "on_bookmark_removeBookmarkTriggered(QString)\0"
+    "on_contents_triggered()\0on_about_triggered()\0"
+    "on_focusCurrentPage_activated()\0"
+    "on_focusScaleFactor_activated()\0"
+    "on_toggleToolBars_triggered(bool)\0"
+    "on_toggleMenuBar_triggered(bool)\0"
+    "text,modified\0on_searchInitiated(QString,bool)\0"
+    "on_highlightAll_clicked(bool)\0area\0"
+    "on_dock_dockLocationChanged(Qt::DockWidgetArea)\0"
+    "on_outline_sectionCountChanged()\0"
+    "on_outline_clicked(QModelIndex)\0"
+    "on_properties_sectionCountChanged()\0"
+    "on_detailsSignatureView_sectionCountChanged()\0"
+    "on_thumbnails_dockLocationChanged(Qt::DockWidgetArea)\0"
+    "value\0on_thumbnails_verticalScrollBar_valueChanged(int)\0"
+    "on_bookmarks_sectionCountChanged()\0"
+    "on_bookmarks_clicked(QModelIndex)\0"
+    "on_bookmarks_contextMenuRequested(QPoint)\0"
+    "on_search_sectionCountChanged()\0visible\0"
+    "on_search_visibilityChanged(bool)\0"
+    "on_search_clicked(QModelIndex)\0"
+    "on_saveDatabase_timeout()\0"
+    "on_verify_signature()\0QStandardItemModel*\0"
+    "verify_signature()\0view_table_verify_signature()\0"
 };
 
@@ -671,6 +313,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         MainWindow *_t = static_cast<MainWindow *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->show(); break;
@@ -819,69 +461,35 @@
         case 130: _t->on_saveDatabase_timeout(); break;
         case 131: _t->on_verify_signature(); break;
-        case 132: _t->on_signature(); break;
-        case 133: _t->on_windowCertificate(); break;
-        case 134: _t->on_selectCertificate(); break;
-        case 135: _t->on_activateButtonCertificate(); break;
-        case 136: _t->on_uploadFile(); break;
-        case 137: _t->on_managePIN(); break;
-        case 138: _t->on_windowPIN((*reinterpret_cast< int(*)>(_a[1]))); break;
-        case 139: _t->on_currentChanged_selection(); break;
-        case 140: _t->on_close_windowCertificate(); break;
-        case 141: _t->on_close_windowPIN(); break;
-        case 142: _t->httpReadyRead(); break;
-        case 143: _t->httpDownloadFinished(); break;
-        case 144: { QStandardItemModel* _r = _t->verify_signature();
+        case 132: { QStandardItemModel* _r = _t->verify_signature();
             if (_a[0]) *reinterpret_cast< QStandardItemModel**>(_a[0]) = _r; }  break;
-        case 145: { QStandardItemModel* _r = _t->view_table_verify_signature();
+        case 133: { QStandardItemModel* _r = _t->view_table_verify_signature();
             if (_a[0]) *reinterpret_cast< QStandardItemModel**>(_a[0]) = _r; }  break;
-        case 146: _t->handleNetworkData((*reinterpret_cast< QNetworkReply*(*)>(_a[1]))); break;
-        case 147: _t->slotError((*reinterpret_cast< QNetworkReply::NetworkError(*)>(_a[1]))); break;
-        case 148: _t->handleNetworkDataMP((*reinterpret_cast< QNetworkReply*(*)>(_a[1]))); break;
-        case 149: _t->handleDownloadFile(); break;
         default: ;
-        }
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        switch (_id) {
-        default: *reinterpret_cast<int*>(_a[0]) = -1; break;
-        case 146:
-            switch (*reinterpret_cast<int*>(_a[1])) {
-            default: *reinterpret_cast<int*>(_a[0]) = -1; break;
-            case 0:
-                *reinterpret_cast<int*>(_a[0]) = qRegisterMetaType< QNetworkReply* >(); break;
-            }
-            break;
-        case 147:
-            switch (*reinterpret_cast<int*>(_a[1])) {
-            default: *reinterpret_cast<int*>(_a[0]) = -1; break;
-            case 0:
-                *reinterpret_cast<int*>(_a[0]) = qRegisterMetaType< QNetworkReply::NetworkError >(); break;
-            }
-            break;
-        case 148:
-            switch (*reinterpret_cast<int*>(_a[1])) {
-            default: *reinterpret_cast<int*>(_a[0]) = -1; break;
-            case 0:
-                *reinterpret_cast<int*>(_a[0]) = qRegisterMetaType< QNetworkReply* >(); break;
-            }
-            break;
         }
     }
 }
 
+const QMetaObjectExtraData qpdfview::MainWindow::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::MainWindow::staticMetaObject = {
-    { &QMainWindow::staticMetaObject, qt_meta_stringdata_qpdfview__MainWindow.data,
-      qt_meta_data_qpdfview__MainWindow,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+    { &QMainWindow::staticMetaObject, qt_meta_stringdata_qpdfview__MainWindow,
+      qt_meta_data_qpdfview__MainWindow, &staticMetaObjectExtraData }
 };
 
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::MainWindow::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::MainWindow::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::MainWindow::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MainWindow.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MainWindow))
         return static_cast<void*>(const_cast< MainWindow*>(this));
     return QMainWindow::qt_metacast(_clname);
@@ -894,88 +502,14 @@
         return _id;
     if (_c == QMetaObject::InvokeMetaMethod) {
-        if (_id < 150)
+        if (_id < 134)
             qt_static_metacall(this, _c, _id, _a);
-        _id -= 150;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 150)
-            qt_static_metacall(this, _c, _id, _a);
-        _id -= 150;
+        _id -= 134;
     }
     return _id;
 }
-struct qt_meta_stringdata_qpdfview__MainWindowAdaptor_t {
-    QByteArrayData data[38];
-    char stringdata0[587];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__MainWindowAdaptor_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__MainWindowAdaptor_t qt_meta_stringdata_qpdfview__MainWindowAdaptor = {
-    {
-QT_MOC_LITERAL(0, 0, 27), // "qpdfview::MainWindowAdaptor"
-QT_MOC_LITERAL(1, 28, 15), // "D-Bus Interface"
-QT_MOC_LITERAL(2, 44, 25), // "local.qpdfview.MainWindow"
-QT_MOC_LITERAL(3, 70, 16), // "raiseAndActivate"
-QT_MOC_LITERAL(4, 87, 9), // "Q_NOREPLY"
-QT_MOC_LITERAL(5, 97, 4), // "open"
-QT_MOC_LITERAL(6, 102, 0), // ""
-QT_MOC_LITERAL(7, 103, 16), // "absoluteFilePath"
-QT_MOC_LITERAL(8, 120, 4), // "page"
-QT_MOC_LITERAL(9, 125, 9), // "highlight"
-QT_MOC_LITERAL(10, 135, 5), // "quiet"
-QT_MOC_LITERAL(11, 141, 12), // "openInNewTab"
-QT_MOC_LITERAL(12, 154, 24), // "jumpToPageOrOpenInNewTab"
-QT_MOC_LITERAL(13, 179, 17), // "refreshBeforeJump"
-QT_MOC_LITERAL(14, 197, 11), // "startSearch"
-QT_MOC_LITERAL(15, 209, 4), // "text"
-QT_MOC_LITERAL(16, 214, 12), // "previousPage"
-QT_MOC_LITERAL(17, 227, 8), // "nextPage"
-QT_MOC_LITERAL(18, 236, 9), // "firstPage"
-QT_MOC_LITERAL(19, 246, 8), // "lastPage"
-QT_MOC_LITERAL(20, 255, 16), // "previousBookmark"
-QT_MOC_LITERAL(21, 272, 12), // "nextBookmark"
-QT_MOC_LITERAL(22, 285, 14), // "jumpToBookmark"
-QT_MOC_LITERAL(23, 300, 5), // "label"
-QT_MOC_LITERAL(24, 306, 20), // "continuousModeAction"
-QT_MOC_LITERAL(25, 327, 7), // "checked"
-QT_MOC_LITERAL(26, 335, 18), // "twoPagesModeAction"
-QT_MOC_LITERAL(27, 354, 31), // "twoPagesWithCoverPageModeAction"
-QT_MOC_LITERAL(28, 386, 23), // "multiplePagesModeAction"
-QT_MOC_LITERAL(29, 410, 24), // "fitToPageWidthModeAction"
-QT_MOC_LITERAL(30, 435, 23), // "fitToPageSizeModeAction"
-QT_MOC_LITERAL(31, 459, 24), // "convertToGrayscaleAction"
-QT_MOC_LITERAL(32, 484, 18), // "invertColorsAction"
-QT_MOC_LITERAL(33, 503, 16), // "fullscreenAction"
-QT_MOC_LITERAL(34, 520, 18), // "presentationAction"
-QT_MOC_LITERAL(35, 539, 8), // "closeTab"
-QT_MOC_LITERAL(36, 548, 12), // "closeAllTabs"
-QT_MOC_LITERAL(37, 561, 25) // "closeAllTabsButCurrentTab"
-
-    },
-    "qpdfview::MainWindowAdaptor\0D-Bus Interface\0"
-    "local.qpdfview.MainWindow\0raiseAndActivate\0"
-    "Q_NOREPLY\0open\0\0absoluteFilePath\0page\0"
-    "highlight\0quiet\0openInNewTab\0"
-    "jumpToPageOrOpenInNewTab\0refreshBeforeJump\0"
-    "startSearch\0text\0previousPage\0nextPage\0"
-    "firstPage\0lastPage\0previousBookmark\0"
-    "nextBookmark\0jumpToBookmark\0label\0"
-    "continuousModeAction\0checked\0"
-    "twoPagesModeAction\0twoPagesWithCoverPageModeAction\0"
-    "multiplePagesModeAction\0"
-    "fitToPageWidthModeAction\0"
-    "fitToPageSizeModeAction\0"
-    "convertToGrayscaleAction\0invertColorsAction\0"
-    "fullscreenAction\0presentationAction\0"
-    "closeTab\0closeAllTabs\0closeAllTabsButCurrentTab"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__MainWindowAdaptor[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        1,   14, // classinfo
@@ -988,83 +522,84 @@
 
  // classinfo: key, value
-       1,    2,
-
- // slots: name, argc, parameters, tag, flags
-       3,    0,  196,    4, 0x0a /* Public */,
-       5,    4,  197,    6, 0x0a /* Public */,
-       5,    3,  206,    6, 0x2a /* Public | MethodCloned */,
-       5,    2,  213,    6, 0x2a /* Public | MethodCloned */,
-       5,    1,  218,    6, 0x2a /* Public | MethodCloned */,
-      11,    4,  221,    6, 0x0a /* Public */,
-      11,    3,  230,    6, 0x2a /* Public | MethodCloned */,
-      11,    2,  237,    6, 0x2a /* Public | MethodCloned */,
-      11,    1,  242,    6, 0x2a /* Public | MethodCloned */,
-      12,    5,  245,    6, 0x0a /* Public */,
-      12,    4,  256,    6, 0x2a /* Public | MethodCloned */,
-      12,    3,  265,    6, 0x2a /* Public | MethodCloned */,
-      12,    2,  272,    6, 0x2a /* Public | MethodCloned */,
-      12,    1,  277,    6, 0x2a /* Public | MethodCloned */,
-      14,    1,  280,    4, 0x0a /* Public */,
-      16,    0,  283,    4, 0x0a /* Public */,
-      17,    0,  284,    4, 0x0a /* Public */,
-      18,    0,  285,    4, 0x0a /* Public */,
-      19,    0,  286,    4, 0x0a /* Public */,
-      20,    0,  287,    4, 0x0a /* Public */,
-      21,    0,  288,    4, 0x0a /* Public */,
-      22,    1,  289,    6, 0x0a /* Public */,
-      24,    1,  292,    4, 0x0a /* Public */,
-      26,    1,  295,    4, 0x0a /* Public */,
-      27,    1,  298,    4, 0x0a /* Public */,
-      28,    1,  301,    4, 0x0a /* Public */,
-      29,    1,  304,    4, 0x0a /* Public */,
-      30,    1,  307,    4, 0x0a /* Public */,
-      31,    1,  310,    4, 0x0a /* Public */,
-      32,    1,  313,    4, 0x0a /* Public */,
-      33,    1,  316,    4, 0x0a /* Public */,
-      34,    0,  319,    4, 0x0a /* Public */,
-      35,    0,  320,    4, 0x0a /* Public */,
-      36,    0,  321,    4, 0x0a /* Public */,
-      37,    0,  322,    4, 0x0a /* Public */,
-      35,    1,  323,    6, 0x0a /* Public */,
-
- // slots: parameters
-    QMetaType::Void,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF, QMetaType::Bool,    7,    8,    9,   10,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF,    7,    8,    9,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    7,    8,
-    QMetaType::Bool, QMetaType::QString,    7,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF, QMetaType::Bool,    7,    8,    9,   10,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::QRectF,    7,    8,    9,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    7,    8,
-    QMetaType::Bool, QMetaType::QString,    7,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool, QMetaType::QRectF, QMetaType::Bool,    7,    8,   13,    9,   10,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool, QMetaType::QRectF,    7,    8,   13,    9,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int, QMetaType::Bool,    7,    8,   13,
-    QMetaType::Bool, QMetaType::QString, QMetaType::Int,    7,    8,
-    QMetaType::Bool, QMetaType::QString,    7,
-    QMetaType::Void, QMetaType::QString,   15,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Bool, QMetaType::QString,   23,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void, QMetaType::Bool,   25,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Void,
-    QMetaType::Bool, QMetaType::QString,    7,
+      54,   28,
+
+ // slots: signature, parameters, type, tag, flags
+      81,   80,   80,   70, 0x0a,
+     143,  105,  100,   80, 0x0a,
+     205,  173,  100,   80, 0x2a,
+     252,  230,  100,   80, 0x2a,
+     287,  270,  100,   80, 0x2a,
+     301,  105,  100,   80, 0x0a,
+     339,  173,  100,   80, 0x2a,
+     372,  230,  100,   80, 0x2a,
+     398,  270,  100,   80, 0x2a,
+     476,  420,  100,   80, 0x0a,
+     581,  531,  100,   80, 0x2a,
+     671,  631,  100,   80, 0x2a,
+     714,  230,  100,   80, 0x2a,
+     752,  270,  100,   80, 0x2a,
+     791,  786,   80,   70, 0x0a,
+     812,   80,   80,   70, 0x0a,
+     827,   80,   80,   70, 0x0a,
+     838,   80,   80,   70, 0x0a,
+     850,   80,   80,   70, 0x0a,
+     861,   80,   80,   70, 0x0a,
+     880,   80,   80,   70, 0x0a,
+     901,  895,  100,   80, 0x0a,
+     933,  925,   80,   70, 0x0a,
+     960,  925,   80,   70, 0x0a,
+     985,  925,   80,   70, 0x0a,
+    1023,  925,   80,   70, 0x0a,
+    1053,  925,   80,   70, 0x0a,
+    1084,  925,   80,   70, 0x0a,
+    1114,  925,   80,   70, 0x0a,
+    1145,  925,   80,   70, 0x0a,
+    1170,  925,   80,   70, 0x0a,
+    1193,   80,   80,   70, 0x0a,
+    1214,   80,   80,   70, 0x0a,
+    1225,   80,   80,   70, 0x0a,
+    1240,   80,   80,   70, 0x0a,
+    1268,  270,  100,   80, 0x0a,
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__MainWindowAdaptor[] = {
+    "qpdfview::MainWindowAdaptor\0"
+    "local.qpdfview.MainWindow\0D-Bus Interface\0"
+    "Q_NOREPLY\0\0raiseAndActivate()\0bool\0"
+    "absoluteFilePath,page,highlight,quiet\0"
+    "open(QString,int,QRectF,bool)\0"
+    "absoluteFilePath,page,highlight\0"
+    "open(QString,int,QRectF)\0absoluteFilePath,page\0"
+    "open(QString,int)\0absoluteFilePath\0"
+    "open(QString)\0openInNewTab(QString,int,QRectF,bool)\0"
+    "openInNewTab(QString,int,QRectF)\0"
+    "openInNewTab(QString,int)\0"
+    "openInNewTab(QString)\0"
+    "absoluteFilePath,page,refreshBeforeJump,highlight,quiet\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool,QRectF,bool)\0"
+    "absoluteFilePath,page,refreshBeforeJump,highlight\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool,QRectF)\0"
+    "absoluteFilePath,page,refreshBeforeJump\0"
+    "jumpToPageOrOpenInNewTab(QString,int,bool)\0"
+    "jumpToPageOrOpenInNewTab(QString,int)\0"
+    "jumpToPageOrOpenInNewTab(QString)\0"
+    "text\0startSearch(QString)\0previousPage()\0"
+    "nextPage()\0firstPage()\0lastPage()\0"
+    "previousBookmark()\0nextBookmark()\0"
+    "label\0jumpToBookmark(QString)\0checked\0"
+    "continuousModeAction(bool)\0"
+    "twoPagesModeAction(bool)\0"
+    "twoPagesWithCoverPageModeAction(bool)\0"
+    "multiplePagesModeAction(bool)\0"
+    "fitToPageWidthModeAction(bool)\0"
+    "fitToPageSizeModeAction(bool)\0"
+    "convertToGrayscaleAction(bool)\0"
+    "invertColorsAction(bool)\0"
+    "fullscreenAction(bool)\0presentationAction()\0"
+    "closeTab()\0closeAllTabs()\0"
+    "closeAllTabsButCurrentTab()\0"
+    "closeTab(QString)\0"
 };
 
@@ -1072,6 +607,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         MainWindowAdaptor *_t = static_cast<MainWindowAdaptor *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->raiseAndActivate(); break;
@@ -1131,19 +666,26 @@
 }
 
+const QMetaObjectExtraData qpdfview::MainWindowAdaptor::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
+};
+
 const QMetaObject qpdfview::MainWindowAdaptor::staticMetaObject = {
-    { &QDBusAbstractAdaptor::staticMetaObject, qt_meta_stringdata_qpdfview__MainWindowAdaptor.data,
-      qt_meta_data_qpdfview__MainWindowAdaptor,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+    { &QDBusAbstractAdaptor::staticMetaObject, qt_meta_stringdata_qpdfview__MainWindowAdaptor,
+      qt_meta_data_qpdfview__MainWindowAdaptor, &staticMetaObjectExtraData }
 };
 
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::MainWindowAdaptor::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::MainWindowAdaptor::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::MainWindowAdaptor::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MainWindowAdaptor.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__MainWindowAdaptor))
         return static_cast<void*>(const_cast< MainWindowAdaptor*>(this));
     return QDBusAbstractAdaptor::qt_metacast(_clname);
@@ -1159,8 +701,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 36;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 36)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 36;
     }
     return _id;
